Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class KeyValue

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.KeyValue

    public class KeyValue

extends Object

A key-value pair.

Constructor Summary
`KeyValue()`

Method Summary
`String` | `getKey()` The unique identifier of a key-value pair.
`String` | `getValue()` The value part of the identified key.
`void` | `setKey(String key)` The unique identifier of a key-value pair.
`void` | `setValue(String value)` The value part of the identified key.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`KeyValue` | `withKey(String key)` The unique identifier of a key-value pair.
`KeyValue` | `withValue(String value)` The value part of the identified key.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyValue

    public KeyValue()

Method Detail

### getKey

    public String getKey()

  The unique identifier of a key-value pair.

  Returns:
    The unique identifier of a key-value pair.

### setKey

    public void setKey(String key)

  The unique identifier of a key-value pair.

  Parameters:
    `key` - The unique identifier of a key-value pair.

### withKey

    public KeyValue withKey(String key)

  The unique identifier of a key-value pair.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `key` - The unique identifier of a key-value pair.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getValue

    public String getValue()

  The value part of the identified key.

  Returns:
    The value part of the identified key.

### setValue

    public void setValue(String value)

  The value part of the identified key.

  Parameters:
    `value` - The value part of the identified key.

### withValue

    public KeyValue withValue(String value)

  The value part of the identified key.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `value` - The value part of the identified key.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.